from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XFilterController(Protocol):
    def addFilterControllerListener(self, Listener: XFilterControllerListener) -> None: ...
    def removeFilterControllerListener(self, Listener: XFilterControllerListener) -> None: ...
    def raises(self, param0: IndexOutOfBoundsException) -> set: ...
